summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-11-11 09:28:35 +0100
committerJustin Lecher <jlec@gentoo.org>2015-11-11 09:29:19 +0100
commitf62ace59539a0f1024c939f533471e9c81c9da5a (patch)
tree6c658b653821a89008699f7ae1ae2bbe609d9103 /dev-python
parentdev-python/cssutils: Version Bump (diff)
downloadgentoo-f62ace59539a0f1024c939f533471e9c81c9da5a.tar.gz
gentoo-f62ace59539a0f1024c939f533471e9c81c9da5a.tar.bz2
gentoo-f62ace59539a0f1024c939f533471e9c81c9da5a.zip
dev-python/Numdifftools: Version Bump
Package-Manager: portage-2.2.23 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Numdifftools/Manifest1
-rw-r--r--dev-python/Numdifftools/Numdifftools-0.9.14.ebuild52
2 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/Numdifftools/Manifest b/dev-python/Numdifftools/Manifest
index 463c6cedc1b..1eb48373cd8 100644
--- a/dev-python/Numdifftools/Manifest
+++ b/dev-python/Numdifftools/Manifest
@@ -1,2 +1,3 @@
DIST numdifftools-0.9.12.zip 236823 SHA256 eee07f03eaa9531c34949bfbb27b0fade7b1e927dd9daf18342d13fc1ee88eaa SHA512 00c78abac0c08beb72ec11bcddd74165db773a0fa9b4eee10290a27c4c143f1593254e058898dc12aee1afc6bad5bb2849451e6018129aa32e808eee1b97420c WHIRLPOOL aef074b9aaf4caecfad8bff75ccb8bd95e36373e2dd4e1dfc4b700fa1925b9b8652d6c483f81133c82e857abae6f2628e9166c77d6b102db3f9bb58c72e682a7
DIST numdifftools-0.9.13.zip 225820 SHA256 1aad0d9eba96846f5c3b82e6a8df0b1eaf4cd13e0b665cba64646756a0f2add6 SHA512 e16fe167cbcc7995e5f7b1784822b94bc82261821ebf35f8b9f774ef1fd601ef13a23a72670f28b54b5f288b509a9ffccbde09033bdec6a88e8a4ef78ed74b25 WHIRLPOOL f32e93f54a883a751f0efb987b81fc7f187c8b6e4c327de2166f4c30afb7f3cb1b076047036deced7b98b551cb9085483c2e22a08881a7730689a5bbbfae5926
+DIST numdifftools-0.9.14.zip 350053 SHA256 8b17629fa9877f19517014095b12d7145f8cd5d9568421e202d777c97d9f04e4 SHA512 a69c878a31fa96c0b3f65c486ac75359242b6215868f24f3554be9ca104ac477bc786df7046bc830120d8fabbc475de40ab3db77c21c0d54756ccec1829fd8ae WHIRLPOOL b890871115d2f4ab65450272a8ec14e36f3379a6cbb2783bb9257e94e5b627a1cc0fc90b1a801f3655eba7ef4ac76b9690ad2ca41a9cf2f9e5b1e8ce20c11625
diff --git a/dev-python/Numdifftools/Numdifftools-0.9.14.ebuild b/dev-python/Numdifftools/Numdifftools-0.9.14.ebuild
new file mode 100644
index 00000000000..656c7521729
--- /dev/null
+++ b/dev-python/Numdifftools/Numdifftools-0.9.14.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+
+inherit distutils-r1
+
+MY_PN=numdifftools
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Solves automatic numerical differentiation problems in one or more variables"
+HOMEPAGE="https://pypi.python.org/pypi/Numdifftools https://github.com/pbrod/numdifftools"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.zip"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/algopy-0.4[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.9.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=sci-libs/scipy-0.8[${PYTHON_USEDEP}]
+ "
+DEPEND="
+ >=dev-python/setuptools-0.9[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ dev-python/pyscaffold[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ )"
+
+S="${WORKDIR}"/${MY_P}
+
+python_prepare_all() {
+ # pulls coverage test
+ sed \
+ -e '/tests_require/d' \
+ -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}